=== debian/changelog ===
apmd (3.0.2-1) unstable; urgency=low

  * Change the way apmd_proxy is spawned, to prevent lockups when it runs
    subprocesses like pump or xlock. (closes: Bug#98604)
  * Getting rid of tailf (closes: Bug#83314, Bug#113153)
  * French version of apmsleep.1 (closes: Bug#118783)
  * Mark README as outdated and install README.transfer (closes: Bug#115705)
  * Don't use dh_installxaw (closes: Bug#120227)
  * apm.1 typo (closes: Bug#111897)
  * apmd.8 typos (closes: Bug#113806, Bug#117909)
  * Add configuration file "/etc/apm/apmd_proxy.conf" and debconf support.
  * Change "/etc/apm/apmd_proxy" to allow it to conditionally accept
    system-generated suspend and standby events.  (closes: Bug#67410,
    Bug#75421, Bug#82805)
  * Change "/etc/apm/apmd_proxy" to use run-parts, now that run-parts
    supports passing arguments to the called scripts.  (closes: Bug#83109,
    Bug#71539)
  * Change "/etc/apm/event.d/00hwclock" to call "/etc/init.d/hwclock.sh".
    (closes: Bug#94990)
  * Change "/etc/apm/event.d/00hwclock" to distinguish between resume from
    suspend and resume from standby.
  * Add "/etc/apm/event.d/20hdparm" to tune the hard drive when running on
    battery power.  Add "Suggests: hdparm" to support this feature.
  * Don't rebuild upstream ChangeLog in debian/rules; this wipes the old
    ChangeLog and then fails. (closes: Bug#119114)
  * Change debian/rules to define "DH_COMPAT=2", and to generate md5sums.
  * Update standards-version to 3.5.6.
  * Add necessary build-depends line to debian/control. (closes: Bug#119595)
  * Update filenames in debian/copyright.
  * Most of these patches are from Chris Hanson <cph@debian.org> but you
    should still blame me if it doesn't work.  Thanks, Chris, and sorry for
    the delay in getting this out!

 -- Avery Pennarun <apenwarr@debian.org>  Sun, 25 Nov 2001 23:05:45 -0500

apmd (3.0.1-1) unstable; urgency=low

  * Various changes from upstream.  Builds from source on the newest libc.
  * Fixes bugs #59960, 67414, 70127, 76708, 79816, 82801, 82803, 94988,
  	54952.
 	
 -- Avery Pennarun <apenwarr@debian.org>  Fri, 11 May 2001 16:35:34 -0400

apmd (3.0final-2) frozen unstable; urgency=low

  * New debhelper and some changes to manpage paths.  Should fix bug#55219,
 	bug#55746, bug#59879, bug#59959.
 	
 -- Avery Pennarun <apenwarr@debian.org>  Thu, 18 May 2000 00:12:42 -0400

apmd (3.0final-1) unstable; urgency=low

  * Rebuilt for potato with new debhelper.  Since there haven't been any
 	new bugs in a long time, finally released 3.0final.
 
  * Architecture: any instead of i386, since other arches are now
 	implementing the same API, even if APM isn't exactly the same.
 	Fixes bug#51205.
	
  * Man page corrected; fixes bug#47701.
  
  * Close all file descriptors after fork(), so secure-attention-key (SAK)
  	won't kill us; fixes bug#37188.
  
  * Use xaw-wrappers for xapm; fixes bug#42750.
  
  * Store the hardware clock on suspend; fixes bug#42976.
  
 -- Avery Pennarun <apenwarr@debian.org>  Thu,  6 Jan 2000 21:40:57 -0500

apmd (3.0beta9-2) unstable; urgency=low
  
  * Oops!  My debian apmd_proxy scripts were all screwed up.  I accidentally
 	installed the Red Hat one!  Fixes bug#42686, bug#42228

  * Close fd 0, 1, and 2 upon fork().  Fixed bug#37188.

 -- Avery Pennarun <apenwarr@debian.org>  Mon,  9 Aug 1999 18:38:39 -0400

apmd (3.0beta9-1) unstable; urgency=low
  
  * Bug fixes and improvements as we approach the 3.0final release.

 -- Avery Pennarun <apenwarr@debian.org>  Mon,  2 Aug 1999 16:19:49 -0400

apmd (3.0beta8-1) unstable; urgency=low
  
  * Various bug fixes and improvements.  In particular, this is supposed
 	to eliminate excessive log messages, although I personally never saw
 	them anyway.

 -- Avery Pennarun <apenwarr@debian.org>  Tue, 15 Jun 1999 20:25:12 -0400

apmd (3.0beta7-1) unstable; urgency=low
  
  * apmd: totally new apmd_proxy stuff from Craig Markwardt.  Now you can
  	handle pretty much _any_ APM event by adding scripts to
  	/etc/apm/event.d.
  
  * Hopefully we didn't lose anyone else's fixes... let me know if you
  	find a new bug!

 -- Avery Pennarun <apenwarr@debian.org>  Sat,  5 Jun 1999 18:05:12 -0400

apmd (3.0beta6-1) unstable; urgency=low
  
  * apmd: new options for now-on-wall-power and now-on-battery events.
  
  * xapm: support for strangeness in the IBM ThinkPad 770X.  Set
    IBM_THINKPAD to 1 in xapm.c if you want this enabled.
    Also, we show a P or B in xapm to indicate wall or battery power.

 -- Avery Pennarun <apenwarr@debian.org>  Mon,  5 Apr 1999 00:59:55 -0400

apmd (3.0beta5-1) frozen unstable; urgency=high

  * We should be using fork(), not vfork() -- one-character change.  Fixes
    problems with 2.2.0 kernels.

 -- Avery Pennarun <apenwarr@debian.org>  Sun, 24 Jan 1999 00:29:24 -0500

apmd (3.0beta4-1) frozen unstable; urgency=low

  * I (upstream maintainer) relabeled the version number because the
    changes are useful beyond just Debian.
    
  * Distribution should have been "frozen unstable", not "frozen".  Oops.

 -- Avery Pennarun <apenwarr@debian.org>  Sun,  8 Nov 1998 15:34:14 -0500

apmd (3.0beta3-3) frozen; urgency=low

  * /etc/init.d/apmd should not assume $GMT will be either -u or blank.
    Fixes bug#28731.
    
  * /etc/init.d/apmd still contained some references to /etc/apm-suspend.d
    and apm-resume.d; these should have been /etc/apm/suspend.d and
    resume.d.  Oops.  Fixes bug#27539.
    
  * Fixed some typos in the man pages.

 -- Avery Pennarun <apenwarr@debian.org>  Sat,  7 Nov 1998 20:06:03 -0500

apmd (3.0beta3-2) unstable; urgency=low

  * Renamed /etc/apm-suspend.d and /etc/apm-resume.d to /etc/apm/suspend.d
    and resume.d, to reduce /etc clutter.

 -- Avery Pennarun <apenwarr@debian.org>  Mon, 14 Sep 1998 14:27:03 -0400

apmd (3.0beta3-1) unstable; urgency=low

  * New upstream version cleans up a few things and improves Thinkpad
    support.

 -- Avery Pennarun <apenwarr@debian.org>  Sat, 12 Sep 1998 14:34:11 -0400


