=== debian/control ===
Source: apmd
Section: admin
Priority: extra
Maintainer: Avery Pennarun <apenwarr@debian.org>
Build-Depends: debhelper (>= 3.0.40), xlibs-dev, libxaw-dev
Standards-Version: 3.5.6

Package: apmd
Architecture: any
Depends: ${shlibs:Depends}, debconf
Suggests: hdparm
Description: Utilities for Advanced Power Management (APM) on laptops
 On laptop computers, the Advanced Power Management (APM) support 
 provides access to battery status information and may help you to 
 conserve battery power, depending on your laptop and the APM 
 implementation.  The apmd program also lets you run arbitrary programs
 when APM events happen (for example, you can eject PCMCIA devices when
 you suspend, or change hard drive timeouts when you connect the battery).
 .
 This package contains apmd(8), a daemon for logging and acting on APM
 events, apm(1), a client that prints /proc/apm, xapm(1x), an X11 utility
 that displays a little graph, on_ac_power(1), a program for shell scripts
 to determine if wall power is connected, and tailf(1) which follows the
 growth of a log file without writing to disk.
 .
 Recent Debian kernels include APM support which is disabled by default.
 You need to pass "apm=1" on your lilo command line if you want to enable
 apm.
