=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian.rules file for the Debian/GNU Linux apmd package
# Copyright 1996-98 by Dirk Eddelbuettel <edd@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

package	= apmd
DESTDIR	:= $(shell pwd)/debian/$(package)

MAKE_FLAGS=PREFIX=$(DESTDIR)/usr MANDIR=$(DESTDIR)/usr/share/man \
	APMD_PROXY_DIR=$(DESTDIR)/etc/apm/

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) ${MAKE_FLAGS} CFLAGS=-O2 LDFLAGS=
	touch build-stamp

clean:
	dh_testdir
	#dh_testroot
	rm -f build-stamp
	-$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) ${MAKE_FLAGS} install
	#mv $(DESTDIR)/usr/bin/xapm $(DESTDIR)/usr/bin/xapm.real
	install -m 0755 debian/apmd_proxy $(DESTDIR)/etc/apm/
	install -m 0755 debian/00hwclock  $(DESTDIR)/etc/apm/event.d/
	install -m 0755 debian/20hdparm $(DESTDIR)/etc/apm/event.d/
	install -m 0644 debian/apmd_proxy.conf $(DESTDIR)/usr/share/apmd

binary-indep: build

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs			README README.transfer ANNOUNCE
#	dh_installexamples		apmlib.c
#	dh_installmenu
	dh_installinit			--noscripts
#	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs		ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean install binary-indep binary-arch binary
